package com.xunwang.education.controller;


import com.xunwang.commonutils.R;
import com.xunwang.education.service.StrategyService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 攻略表 前端控制器
 * </p>
 *
 * @author Long
 * @since 2023-04-26
 */
@RestController
@RequestMapping("/education/strategy")
public class StrategyController {

    @Resource
    private StrategyService strategyService;

    @ApiOperation("获取攻略子图")
    @GetMapping("/getSmallPig")
    public R getSmallPig() {
        List<String> imglist = strategyService.getSmallPig();
        return R.ok().data("list", imglist);
    }

    @ApiOperation("获取攻略图大图")
    @GetMapping("/getBigPig")
    public R getBigPig() {
        List<String> list = strategyService.getBigPig();
        return R.ok().data("list", list);
    }

}

